
RSB GStreamer Integration - Bug #502
Caps are partially hardcoded to Nao-specific values
08/13/2011 06:52 AM - J. Moringen

Status: Resolved Start date: 08/13/2011
Priority: Normal Due date:
Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version:
Description

During caps negotiation, we currently don't receive events, so we don't know the details of the audio/video format.
Ideas:
    -  Start the listener earlier so we can look at events and "autodetect" the audio/video format
    -  Add a tiny RPC interface to the streaming sources that allows retrieving the audio/video format

Further thought:
Independent of this issue maybe we should introduce .rst.AudioFormat and .rst.VideoFormat as toplevel data definitions in RST and
use these in .rst.ImageMessage and .rst.SoundMessage)

Related issues:
Related to RSB GStreamer Integration - Tasks # 501: Think about current lifec... New 08/13/2011

Associated revisions
Revision 3e8d3748 - 11/16/2011 09:55 PM - J. Moringen
In sources, determine audio/video format using initial events
fixes #502, refs #501
    -  src/gst_rsb_src_base.{h,cpp}: added

  gst_rsb_src_base_ensure_listener, gst_rsb_src_base_ensure_format,
  gst_rsb_src_base_set_format; these are used to obtain format
  information from initial event and store it in the element

    -  src/gst_rsb_audio_src.{h,cpp}: added gst_rsb_audio_src_set_format
  which extracts format information from an rst::audition::SoundChunk
  object

    -  src/gst_rsb_video_src.{h,cpp}: similar gst_rsb_video_src_set_format

History
#1 - 08/13/2011 09:03 AM - J. Moringen
- Target version set to rsb-0.10

#2 - 11/16/2011 09:57 PM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r42.

#3 - 01/31/2012 12:16 PM - S. Wrede
- Target version deleted (rsb-0.10)
